// OzGKS.h :  header file for graphics
//


#ifndef __OZGIS_H__
#define __OZGIS_H__



#define	NUM_SEGS	100
#define PALSIZE 256
#define	NUM_FONTS	10

void GKSfatalError (char* text);
void MoveFloat (float* in, float* out, int num);



void  xw2dev (float x, int* xdev);
void  xdev2w (float* x, int xdev);
void  yw2dev (float y, int* ydev);
void  ydev2w (float* y, int ydev);
void  World2Pixels(float* xScale, float* yScale);

void	GKSinit ();

void InitLocator (int newType, float* initial, int handle, bool doCallback);


#endif
